Main Page Widgets Namespaces Book

# Gtk::RadioAction Class Reference

Inheritance diagram for Gtk::RadioAction:

[legend]
List of all members.

## Public Types

typedef RadioButtonGroup | Group
typedef RadioButtonGroup | Group

## Public Member Functions

virtual | ~RadioAction ()
GtkRadioAction* | gobj ()
| Provides access to the underlying C GObject.
const GtkRadioAction* | gobj () const
| Provides access to the underlying C GObject.
GtkRadioAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Group | get_group ()
| Returns the list representing the radio group for this object.
void | set_group (Group& group)
int | get_current_value () const
| Obtains the value property of the the currently active member of the group to which action belongs.
Glib::SignalProxy1< void, const Glib::RefPtr<RadioAction >&> | signal_changed ()
Glib::PropertyProxy<int> | property_value ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_value () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Static Public Member Functions

Glib::RefPtr<RadioAction> | create ()
Glib::RefPtr<RadioAction> | create (Group& group, const Glib::ustring& name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
Glib::RefPtr<RadioAction> | create (Group& group, const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())

## Protected Member Functions

| RadioAction ()
| RadioAction (Group& group, const Glib::ustring& name, const StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring())
virtual void | on_changed (const Glib::RefPtr<RadioAction>& current)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::RadioAction> | wrap (GtkRadioAction* object, bool take_copy=false)

## Member Typedef Documentation

typedef RadioButtonGroup Gtk::RadioAction::Group

typedef RadioButtonGroup Gtk::RadioAction::Group

## Constructor & Destructor Documentation

virtual Gtk::RadioAction::~RadioAction | ( |  | ) | `[virtual]`

Gtk::RadioAction::RadioAction | ( |  | ) | `[protected]`

Gtk::RadioAction::RadioAction | ( | Group& | group,
|  | const Glib::ustring& | name,
|  | const StockID& | stock_id,
|  | const Glib::ustring& | label = `Glib::ustring()`,
|  | const Glib::ustring& | tooltip = `Glib::ustring()`
| ) | `[explicit, protected]`

## Member Function Documentation

Glib::RefPtr<RadioAction> Gtk::RadioAction::create | ( | Group& | group,
|  | const Glib::ustring& | name,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::ustring& | label = `Glib::ustring()`,
|  | const Glib::ustring& | tooltip = `Glib::ustring()`
| ) | `[static]`

Glib::RefPtr<RadioAction> Gtk::RadioAction::create | ( | Group& | group,
|  | const Glib::ustring& | name,
|  | const Glib::ustring& | label = `Glib::ustring()`,
|  | const Glib::ustring& | tooltip = `Glib::ustring()`
| ) | `[static]`

Glib::RefPtr<RadioAction> Gtk::RadioAction::create | ( |  | ) | `[static]`

| Reimplemented from Gtk::ToggleAction.

int Gtk::RadioAction::get_current_value | ( |  | ) | const

Obtains the value property of the the currently active member of the group to which action belongs.

Returns:
  The value of the currently active group member

Since: 2.4.

Group Gtk::RadioAction::get_group | ( |  | ) |

Returns the list representing the radio group for this object.

Returns:
  The list representing the radio group for this object

Since: 2.4.

const GtkRadioAction* Gtk::RadioAction::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gtk::ToggleAction.

GtkRadioAction* Gtk::RadioAction::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gtk::ToggleAction.

GtkRadioAction* Gtk::RadioAction::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. Reimplemented from Gtk::ToggleAction.

virtual void Gtk::RadioAction::on_changed | ( | const Glib::RefPtr<RadioAction>& | current | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<int> Gtk::RadioAction::property_value | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::RadioAction::property_value | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::RadioAction::set_group | ( | Group& | group | ) |

Glib::SignalProxy1<void,const Glib::RefPtr<RadioAction>&> Gtk::RadioAction::signal_changed | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::RadioAction> wrap | ( | GtkRadioAction* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- radioaction.h